## org.apache.axis.encoding.ser
Class ElementSerializerFactory

    java.lang.Object
      |
      +--org.apache.axis.encoding.ser.BaseFactory
            |
            +--org.apache.axis.encoding.ser.BaseSerializerFactory
                  |
                  +--org.apache.axis.encoding.ser.ElementSerializerFactory

All Implemented Interfaces:
  java.io.Serializable, SerializerFactory, SerializerFactory

public class ElementSerializerFactory
extends BaseSerializerFactory

SerializerFactory for Element

Author:
  Rich Scheuerle <scheu@us.ibm.com>
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, ser, serClass, serClassConstructor, xmlType`

Fields inherited from class org.apache.axis.encoding.ser.BaseFactory
`methodCache`

Constructor Summary
`ElementSerializerFactory()`

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGeneralPurpose, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAs, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementSerializerFactory

    public ElementSerializerFactory()

Copyright © 2003 Apache Web Services Project. All Rights Reserved.